define(["require", "exports", "./styles/Breadcrumb.styles", "./styles/DetailsList.styles", "./styles/Callout.styles", "./styles/Checkbox.styles", "./styles/ChoiceGroupOption.styles", "./styles/ColorPicker.styles", "./styles/ComboBox.styles", "./styles/CommandBar.styles", "./styles/CommandBarButton.styles", "./styles/CompoundButton.styles", "./styles/ContextualMenu.styles", "./styles/DefaultButton.styles", "./styles/DetailsColumn.styles", "./styles/Dialog.styles", "./styles/Dropdown.styles", "./styles/HoverCard.styles", "./styles/Facepile.styles", "./styles/GroupedList.styles", "./styles/IconButton.styles", "./styles/Label.styles", "./styles/Link.styles", "./styles/MessageBar.styles", "./styles/MessageBarButton.styles", "./styles/Nav.styles", "./styles/Panel.styles", "./styles/Persona.styles", "./styles/Pivot.styles", "./styles/PrimaryButton.styles", "./styles/Slider.styles", "./styles/SpinButton.styles", "./styles/TeachingBubble.styles", "./styles/TextField.styles", "./styles/Toggle.styles"], function (require, exports, Breadcrumb_styles_1, DetailsList_styles_1, Callout_styles_1, Checkbox_styles_1, ChoiceGroupOption_styles_1, ColorPicker_styles_1, ComboBox_styles_1, CommandBar_styles_1, CommandBarButton_styles_1, CompoundButton_styles_1, ContextualMenu_styles_1, DefaultButton_styles_1, DetailsColumn_styles_1, Dialog_styles_1, Dropdown_styles_1, HoverCard_styles_1, Facepile_styles_1, GroupedList_styles_1, IconButton_styles_1, Label_styles_1, Link_styles_1, MessageBar_styles_1, MessageBarButton_styles_1, Nav_styles_1, Panel_styles_1, Persona_styles_1, Pivot_styles_1, PrimaryButton_styles_1, Slider_styles_1, SpinButton_styles_1, TeachingBubble_styles_1, TextField_styles_1, Toggle_styles_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    // Roll up all style overrides in a single "Fluent theme" object
    exports.MDL2Styles = {
        Breadcrumb: {
            styles: Breadcrumb_styles_1.BreadcrumbStyles,
        },
        CalloutContent: {
            styles: Callout_styles_1.CalloutContentStyles,
        },
        ColorPicker: {
            styles: ColorPicker_styles_1.ColorPickerStyles,
        },
        ColorRectangle: {
            styles: ColorPicker_styles_1.ColorRectangleStyles,
        },
        ColorSlider: {
            styles: ColorPicker_styles_1.ColorSliderStyles,
        },
        CommandBar: {
            styles: CommandBar_styles_1.CommandBarStyles,
        },
        CommandBarButton: {
            styles: CommandBarButton_styles_1.CommandBarButtonStyles,
        },
        CompoundButton: {
            styles: CompoundButton_styles_1.CompoundButtonStyles,
        },
        Check: {
            styles: DetailsList_styles_1.CheckStyles,
        },
        Checkbox: {
            styles: Checkbox_styles_1.CheckboxStyles,
        },
        ChoiceGroupOption: {
            styles: ChoiceGroupOption_styles_1.ChoiceGroupOptionStyles,
        },
        ComboBox: {
            styles: ComboBox_styles_1.ComboBoxStyles,
        },
        ContextualMenu: {
            styles: ContextualMenu_styles_1.ContextualMenuStyles,
        },
        DefaultButton: {
            styles: DefaultButton_styles_1.DefaultButtonStyles,
        },
        DetailsColumn: {
            styles: DetailsColumn_styles_1.DetailsColumnStyles,
        },
        DetailsHeader: {
            styles: DetailsList_styles_1.DetailsHeaderStyles,
        },
        DetailsRow: {
            styles: DetailsList_styles_1.DetailsRowStyles,
        },
        DetailsRowCheck: {
            styles: DetailsList_styles_1.DetailsRowCheckStyles,
        },
        DialogContent: {
            styles: Dialog_styles_1.DialogContentStyles,
        },
        DialogFooter: {
            styles: Dialog_styles_1.DialogFooterStyles,
        },
        Dropdown: {
            styles: Dropdown_styles_1.DropdownStyles,
        },
        ExpandingCard: {
            styles: HoverCard_styles_1.ExpandingCardStyles,
        },
        Facepile: {
            styles: Facepile_styles_1.FacepileStyles,
        },
        GroupHeader: {
            styles: GroupedList_styles_1.GroupHeaderStyles,
        },
        IconButton: {
            styles: IconButton_styles_1.IconButtonStyles,
        },
        Label: {
            styles: Label_styles_1.LabelStyles,
        },
        Link: {
            styles: Link_styles_1.LinkStyles,
        },
        MessageBar: {
            styles: MessageBar_styles_1.MessageBarStyles,
        },
        MessageBarButton: {
            styles: MessageBarButton_styles_1.MessageBarButtonStyles,
        },
        Nav: {
            styles: Nav_styles_1.NavStyles,
        },
        Panel: {
            styles: Panel_styles_1.PanelStyles,
        },
        Persona: {
            styles: Persona_styles_1.PersonaStyles,
        },
        PersonaCoin: {
            styles: Persona_styles_1.PersonaCoinStyles,
        },
        Pivot: {
            styles: Pivot_styles_1.PivotStyles,
        },
        PlainCard: {
            styles: HoverCard_styles_1.PlainCardStyles,
        },
        PrimaryButton: {
            styles: PrimaryButton_styles_1.PrimaryButtonStyles,
        },
        Slider: {
            styles: Slider_styles_1.SliderStyles,
        },
        SpinButton: {
            styles: SpinButton_styles_1.SpinButtonStyles,
        },
        TeachingBubble: {
            styles: TeachingBubble_styles_1.TeachingBubbleStyles,
        },
        TeachingBubbleContent: {
            styles: TeachingBubble_styles_1.TeachingBubbleStyles,
        },
        TextField: {
            styles: TextField_styles_1.TextFieldStyles,
        },
        Toggle: {
            styles: Toggle_styles_1.ToggleStyles,
        },
    };
});
//# sourceMappingURL=MDL2Styles.js.map