define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.ColorPickerStyles = {
        input: {
            selectors: {
                '&.ms-TextField': {
                    paddingRight: 2,
                },
            },
        },
        table: {
            selectors: {
                'tbody td:last-of-type .ms-ColorPicker-input': {
                    paddingRight: 0,
                },
            },
        },
        tableHeader: {
            selectors: {
                td: {
                    paddingBottom: 0,
                },
            },
        },
    };
    exports.ColorRectangleStyles = {
        root: {
            border: 'none',
        },
        thumb: {
            borderColor: 'rgba(255,255,255,.8)',
            boxShadow: '0 0 15px -5px black',
            selectors: {
                ':before': {
                    border: 'none',
                },
            },
        },
    };
    exports.ColorSliderStyles = {
        root: {
            marginBottom: 5,
        },
        sliderThumb: {
            borderColor: 'rgba(255,255,255,.8)',
            boxShadow: '0 0 15px -5px black',
        },
    };
});
//# sourceMappingURL=ColorPicker.styles.js.map