define(["require", "exports", "office-ui-fabric-react/lib/Styling"], function (require, exports, Styling_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.GroupHeaderStyles = function (props) {
        var compact = props.compact, theme = props.theme;
        var fonts = theme.fonts;
        var finalHeight = compact ? 32 : 42;
        return {
            groupHeaderContainer: {
                height: finalHeight,
            },
            check: {
                height: finalHeight,
            },
            expand: {
                height: finalHeight,
                fontSize: compact ? fonts.medium.fontSize : 18,
            },
            title: {
                fontSize: compact ? fonts.large.fontSize : fonts.xLarge.fontSize,
                fontWeight: Styling_1.FontWeights.semilight,
            },
        };
    };
});
//# sourceMappingURL=GroupedList.styles.js.map