"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ITEM_HEIGHT = 32;
var commonItemStyles = {
    minHeight: ITEM_HEIGHT,
    padding: '4px 16px',
};
exports.DropdownStyles = {
    title: {
        padding: "0 32px 0 12px",
    },
    caretDownWrapper: {
        right: 12,
    },
    dropdownItemHeader: {
        padding: '0 16px',
        height: ITEM_HEIGHT,
        lineHeight: ITEM_HEIGHT,
    },
    dropdownItem: tslib_1.__assign({}, commonItemStyles),
    dropdownItemSelected: tslib_1.__assign({}, commonItemStyles),
    dropdownItemDisabled: tslib_1.__assign({}, commonItemStyles),
    dropdownItemSelectedAndDisabled: tslib_1.__assign({}, commonItemStyles),
};
//# sourceMappingURL=Dropdown.styles.js.map