"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageBarButtonStyles = function (props) {
    var theme = props.theme;
    if (!theme) {
        throw new Error('Theme is undefined or null.');
    }
    var palette = theme.palette;
    return {
        root: {
            backgroundColor: palette.neutralQuaternaryAlt,
            height: 32,
            width: 'auto',
            minWidth: 84,
        },
        rootHovered: {
            backgroundColor: palette.neutralTertiaryAlt,
        },
        rootPressed: {
            backgroundColor: palette.neutralTertiary,
        },
    };
};
//# sourceMappingURL=MessageBarButton.styles.js.map