import { FontWeights } from 'office-ui-fabric-react/lib/Styling';
export var CheckStyles = function (props) {
    var theme = props.theme, checked = props.checked;
    var palette = theme.palette;
    return {
        circle: [!checked && { color: palette.neutralTertiaryAlt }],
        check: [!checked && { color: palette.neutralTertiaryAlt }],
    };
};
export var DetailsRowCheckStyles = function (props) {
    var isHeader = props.isHeader, compact = props.compact;
    var height = isHeader ? 32 : compact ? 32 : 42;
    return {
        check: {
            height: height,
        },
    };
};
export var DetailsHeaderStyles = {
    root: {
        height: 32,
        lineHeight: '32px',
    },
    check: {
        height: 32,
    },
    cellIsCheck: {
        height: 32,
    },
    cellIsGroupExpander: {
        height: 32,
    },
};
export var DetailsRowStyles = function (props) {
    var isSelected = props.isSelected;
    return {
        isRowHeader: [
            isSelected && {
                fontWeight: FontWeights.regular,
            },
        ],
    };
};
//# sourceMappingURL=DetailsList.styles.js.map