export var IconButtonStyles = function (props) {
    var theme = props.theme;
    if (!theme) {
        throw new Error('Theme is undefined or null.');
    }
    var palette = theme.palette;
    return {
        root: {
            backgroundColor: 'transparent',
            color: palette.neutralPrimary,
        },
        rootHovered: {
            backgroundColor: 'transparent',
            color: palette.neutralDark,
        },
        rootPressed: {
            backgroundColor: 'transparent',
            color: palette.themePrimary,
        },
        rootChecked: {
            backgroundColor: palette.neutralTertiaryAlt,
            color: palette.neutralPrimary,
        },
        rootCheckedHovered: {
            backgroundColor: palette.neutralLight,
            color: palette.neutralPrimary,
        },
        rootDisabled: {
            color: palette.neutralTertiary,
        },
    };
};
//# sourceMappingURL=IconButton.styles.js.map