export declare const ColorPickerStyles: {
    input: {
        selectors: {
            '&.ms-TextField': {
                paddingRight: number;
            };
        };
    };
    table: {
        selectors: {
            'tbody td:last-of-type .ms-ColorPicker-input': {
                paddingRight: number;
            };
        };
    };
    tableHeader: {
        selectors: {
            td: {
                paddingBottom: number;
            };
        };
    };
};
export declare const ColorRectangleStyles: {
    root: {
        border: string;
    };
    thumb: {
        borderColor: string;
        boxShadow: string;
        selectors: {
            ':before': {
                border: string;
            };
        };
    };
};
export declare const ColorSliderStyles: {
    root: {
        marginBottom: number;
    };
    sliderThumb: {
        borderColor: string;
        boxShadow: string;
    };
};
