define(["require", "exports", "tslib", "./styleConstants"], function (require, exports, tslib_1, styleConstants_1) {
    "use strict";
    var _a;
    Object.defineProperty(exports, "__esModule", { value: true });
    var CONTEXTUAL_MENU_ITEM_HEIGHT = 32;
    var iconStyles = {
        maxHeight: CONTEXTUAL_MENU_ITEM_HEIGHT,
        fontSize: 14,
        width: 14,
        selectors: (_a = {},
            _a[styleConstants_1.MinimumScreenSelector] = {
                fontSize: 18,
                width: 18,
            },
            _a),
    };
    exports.ContextualMenuStyles = {
        subComponentStyles: {
            menuItem: {
                root: {
                    height: CONTEXTUAL_MENU_ITEM_HEIGHT,
                    lineHeight: CONTEXTUAL_MENU_ITEM_HEIGHT,
                },
                splitPrimary: {
                    height: CONTEXTUAL_MENU_ITEM_HEIGHT,
                    lineHeight: CONTEXTUAL_MENU_ITEM_HEIGHT,
                },
                splitMenu: {
                    height: CONTEXTUAL_MENU_ITEM_HEIGHT,
                    lineHeight: CONTEXTUAL_MENU_ITEM_HEIGHT,
                    width: CONTEXTUAL_MENU_ITEM_HEIGHT,
                },
                icon: tslib_1.__assign({}, iconStyles),
                checkmarkIcon: tslib_1.__assign({}, iconStyles),
                splitContainer: {
                    height: CONTEXTUAL_MENU_ITEM_HEIGHT,
                },
                subMenuIcon: {
                    height: CONTEXTUAL_MENU_ITEM_HEIGHT,
                    lineHeight: CONTEXTUAL_MENU_ITEM_HEIGHT,
                },
            },
        },
    };
});
//# sourceMappingURL=ContextualMenu.styles.js.map