define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.LinkStyles = function (props) {
        var isDisabled = props.isDisabled;
        return {
            root: [
                !isDisabled && {
                    selectors: {
                        '&:active, &:hover, &:active:hover': {
                            textDecoration: 'none',
                        },
                    },
                },
            ],
        };
    };
});
//# sourceMappingURL=Link.styles.js.map