define(["require", "exports", "office-ui-fabric-react/lib/Utilities"], function (require, exports, Utilities_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.PrimaryButtonStyles = function (props) {
        var _a;
        var theme = props.theme;
        if (!theme) {
            throw new Error('Theme is undefined or null.');
        }
        var palette = theme.palette;
        return {
            root: {
                backgroundColor: palette.themePrimary,
                color: palette.white,
                selectors: (_a = {},
                    _a["." + Utilities_1.IsFocusVisibleClassName + " &:focus"] = {
                        selectors: {
                            ':after': {
                                outlineColor: palette.neutralSecondary,
                            },
                        },
                    },
                    _a),
            },
            rootHovered: {
                backgroundColor: palette.themeDarkAlt,
            },
            rootPressed: {
                backgroundColor: palette.themeDark,
            },
            rootChecked: {
                backgroundColor: palette.themeDark,
            },
        };
    };
});
//# sourceMappingURL=PrimaryButton.styles.js.map