"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Breadcrumb_styles_1 = require("./styles/Breadcrumb.styles");
var DetailsList_styles_1 = require("./styles/DetailsList.styles");
var Callout_styles_1 = require("./styles/Callout.styles");
var Checkbox_styles_1 = require("./styles/Checkbox.styles");
var ChoiceGroupOption_styles_1 = require("./styles/ChoiceGroupOption.styles");
var ColorPicker_styles_1 = require("./styles/ColorPicker.styles");
var ComboBox_styles_1 = require("./styles/ComboBox.styles");
var CommandBar_styles_1 = require("./styles/CommandBar.styles");
var CommandBarButton_styles_1 = require("./styles/CommandBarButton.styles");
var CompoundButton_styles_1 = require("./styles/CompoundButton.styles");
var ContextualMenu_styles_1 = require("./styles/ContextualMenu.styles");
var DefaultButton_styles_1 = require("./styles/DefaultButton.styles");
var DetailsColumn_styles_1 = require("./styles/DetailsColumn.styles");
var Dialog_styles_1 = require("./styles/Dialog.styles");
var Dropdown_styles_1 = require("./styles/Dropdown.styles");
var HoverCard_styles_1 = require("./styles/HoverCard.styles");
var Facepile_styles_1 = require("./styles/Facepile.styles");
var GroupedList_styles_1 = require("./styles/GroupedList.styles");
var IconButton_styles_1 = require("./styles/IconButton.styles");
var Label_styles_1 = require("./styles/Label.styles");
var Link_styles_1 = require("./styles/Link.styles");
var MessageBar_styles_1 = require("./styles/MessageBar.styles");
var MessageBarButton_styles_1 = require("./styles/MessageBarButton.styles");
var Nav_styles_1 = require("./styles/Nav.styles");
var Panel_styles_1 = require("./styles/Panel.styles");
var Persona_styles_1 = require("./styles/Persona.styles");
var Pivot_styles_1 = require("./styles/Pivot.styles");
var PrimaryButton_styles_1 = require("./styles/PrimaryButton.styles");
var Slider_styles_1 = require("./styles/Slider.styles");
var SpinButton_styles_1 = require("./styles/SpinButton.styles");
var TeachingBubble_styles_1 = require("./styles/TeachingBubble.styles");
var TextField_styles_1 = require("./styles/TextField.styles");
var Toggle_styles_1 = require("./styles/Toggle.styles");
// Roll up all style overrides in a single "Fluent theme" object
exports.MDL2Styles = {
    Breadcrumb: {
        styles: Breadcrumb_styles_1.BreadcrumbStyles,
    },
    CalloutContent: {
        styles: Callout_styles_1.CalloutContentStyles,
    },
    ColorPicker: {
        styles: ColorPicker_styles_1.ColorPickerStyles,
    },
    ColorRectangle: {
        styles: ColorPicker_styles_1.ColorRectangleStyles,
    },
    ColorSlider: {
        styles: ColorPicker_styles_1.ColorSliderStyles,
    },
    CommandBar: {
        styles: CommandBar_styles_1.CommandBarStyles,
    },
    CommandBarButton: {
        styles: CommandBarButton_styles_1.CommandBarButtonStyles,
    },
    CompoundButton: {
        styles: CompoundButton_styles_1.CompoundButtonStyles,
    },
    Check: {
        styles: DetailsList_styles_1.CheckStyles,
    },
    Checkbox: {
        styles: Checkbox_styles_1.CheckboxStyles,
    },
    ChoiceGroupOption: {
        styles: ChoiceGroupOption_styles_1.ChoiceGroupOptionStyles,
    },
    ComboBox: {
        styles: ComboBox_styles_1.ComboBoxStyles,
    },
    ContextualMenu: {
        styles: ContextualMenu_styles_1.ContextualMenuStyles,
    },
    DefaultButton: {
        styles: DefaultButton_styles_1.DefaultButtonStyles,
    },
    DetailsColumn: {
        styles: DetailsColumn_styles_1.DetailsColumnStyles,
    },
    DetailsHeader: {
        styles: DetailsList_styles_1.DetailsHeaderStyles,
    },
    DetailsRow: {
        styles: DetailsList_styles_1.DetailsRowStyles,
    },
    DetailsRowCheck: {
        styles: DetailsList_styles_1.DetailsRowCheckStyles,
    },
    DialogContent: {
        styles: Dialog_styles_1.DialogContentStyles,
    },
    DialogFooter: {
        styles: Dialog_styles_1.DialogFooterStyles,
    },
    Dropdown: {
        styles: Dropdown_styles_1.DropdownStyles,
    },
    ExpandingCard: {
        styles: HoverCard_styles_1.ExpandingCardStyles,
    },
    Facepile: {
        styles: Facepile_styles_1.FacepileStyles,
    },
    GroupHeader: {
        styles: GroupedList_styles_1.GroupHeaderStyles,
    },
    IconButton: {
        styles: IconButton_styles_1.IconButtonStyles,
    },
    Label: {
        styles: Label_styles_1.LabelStyles,
    },
    Link: {
        styles: Link_styles_1.LinkStyles,
    },
    MessageBar: {
        styles: MessageBar_styles_1.MessageBarStyles,
    },
    MessageBarButton: {
        styles: MessageBarButton_styles_1.MessageBarButtonStyles,
    },
    Nav: {
        styles: Nav_styles_1.NavStyles,
    },
    Panel: {
        styles: Panel_styles_1.PanelStyles,
    },
    Persona: {
        styles: Persona_styles_1.PersonaStyles,
    },
    PersonaCoin: {
        styles: Persona_styles_1.PersonaCoinStyles,
    },
    Pivot: {
        styles: Pivot_styles_1.PivotStyles,
    },
    PlainCard: {
        styles: HoverCard_styles_1.PlainCardStyles,
    },
    PrimaryButton: {
        styles: PrimaryButton_styles_1.PrimaryButtonStyles,
    },
    Slider: {
        styles: Slider_styles_1.SliderStyles,
    },
    SpinButton: {
        styles: SpinButton_styles_1.SpinButtonStyles,
    },
    TeachingBubble: {
        styles: TeachingBubble_styles_1.TeachingBubbleStyles,
    },
    TeachingBubbleContent: {
        styles: TeachingBubble_styles_1.TeachingBubbleStyles,
    },
    TextField: {
        styles: TextField_styles_1.TextFieldStyles,
    },
    Toggle: {
        styles: Toggle_styles_1.ToggleStyles,
    },
};
//# sourceMappingURL=MDL2Styles.js.map