"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChoiceGroupOptionStyles = function (props) {
    var checked = props.checked, disabled = props.disabled, theme = props.theme, hasIcon = props.hasIcon, hasImage = props.hasImage;
    var palette = theme.palette;
    return {
        field: [
            (hasIcon || hasImage) &&
                !disabled && {
                selectors: {
                    ':hover': {
                        borderColor: checked ? palette.themeDark : palette.neutralTertiaryAlt,
                    },
                },
            },
            (hasIcon || hasImage) && {
                borderWidth: 2,
            },
            disabled &&
                !checked && {
                selectors: {
                    ':before': {
                        backgroundColor: palette.neutralTertiary,
                        borderColor: palette.neutralTertiary,
                    },
                },
            },
        ],
    };
};
//# sourceMappingURL=ChoiceGroupOption.styles.js.map