"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Styling_1 = require("office-ui-fabric-react/lib-commonjs/Styling");
exports.CheckStyles = function (props) {
    var theme = props.theme, checked = props.checked;
    var palette = theme.palette;
    return {
        circle: [!checked && { color: palette.neutralTertiaryAlt }],
        check: [!checked && { color: palette.neutralTertiaryAlt }],
    };
};
exports.DetailsRowCheckStyles = function (props) {
    var isHeader = props.isHeader, compact = props.compact;
    var height = isHeader ? 32 : compact ? 32 : 42;
    return {
        check: {
            height: height,
        },
    };
};
exports.DetailsHeaderStyles = {
    root: {
        height: 32,
        lineHeight: '32px',
    },
    check: {
        height: 32,
    },
    cellIsCheck: {
        height: 32,
    },
    cellIsGroupExpander: {
        height: 32,
    },
};
exports.DetailsRowStyles = function (props) {
    var isSelected = props.isSelected;
    return {
        isRowHeader: [
            isSelected && {
                fontWeight: Styling_1.FontWeights.regular,
            },
        ],
    };
};
//# sourceMappingURL=DetailsList.styles.js.map