import { IStyle } from 'office-ui-fabric-react/lib/Styling';
export declare const DropdownStyles: {
    title: {
        padding: string;
    };
    caretDownWrapper: {
        right: number;
    };
    dropdownItemHeader: {
        padding: string;
        height: number;
        lineHeight: number;
    };
    dropdownItem: {
        [x: string]: any;
        displayName?: string | undefined;
        selectors?: {
            [key: string]: IStyle;
        } | undefined;
        MsHighContrastAdjust?: string | undefined;
        MsOverflowStyle?: string | undefined;
        MozOsxFontSmoothing?: string | undefined;
        WebkitFontSmoothing?: string | undefined;
        WebkitOverflowScrolling?: string | undefined;
        WebkitTapHighlightColor?: string | undefined;
        WebkitTextSizeAdjust?: string | undefined;
        alignContent?: string | undefined;
        alignItems?: string | undefined;
        alignSelf?: string | undefined;
        alignmentAdjust?: string | undefined;
        alignmentBaseline?: string | undefined;
        animation?: string | undefined;
        animationDelay?: string | undefined;
        animationDirection?: string | undefined;
        animationDuration?: string | undefined;
        animationFillMode?: string | undefined;
        animationIterationCount?: string | undefined;
        animationName?: string | undefined;
        animationPlayState?: string | undefined;
        animationTimingFunction?: string | undefined;
        appearance?: string | undefined;
        backdropFilter?: string | undefined;
        WebkitBackdropFilter?: string | undefined;
        backfaceVisibility?: string | undefined;
        background?: string | undefined;
        backgroundAttachment?: string | undefined;
        backgroundBlendMode?: string | undefined;
        backgroundClip?: string | undefined;
        backgroundColor?: string | undefined;
        backgroundComposite?: string | undefined;
        backgroundImage?: string | undefined;
        backgroundOrigin?: string | undefined;
        backgroundPosition?: string | undefined;
        backgroundRepeat?: string | undefined;
        backgroundSize?: string | undefined;
        border?: string | 0 | undefined;
        borderBottom?: string | number | undefined;
        borderBottomColor?: string | undefined;
        borderBottomLeftRadius?: string | number | undefined;
        borderBottomRightRadius?: string | number | undefined;
        borderBottomStyle?: string | undefined;
        borderBottomWidth?: string | number | undefined;
        borderCollapse?: string | undefined;
        borderColor?: string | undefined;
        borderCornerShape?: string | undefined;
        borderImageSource?: string | undefined;
        borderImageWidth?: string | number | undefined;
        borderLeft?: string | number | undefined;
        borderLeftColor?: string | undefined;
        borderLeftStyle?: string | undefined;
        borderLeftWidth?: string | number | undefined;
        borderRadius?: string | number | undefined;
        borderRight?: string | number | undefined;
        borderRightColor?: string | undefined;
        borderRightStyle?: string | undefined;
        borderRightWidth?: string | number | undefined;
        borderSpacing?: string | undefined;
        borderStyle?: string | undefined;
        borderTop?: string | number | undefined;
        borderTopColor?: string | undefined;
        borderTopLeftRadius?: string | number | undefined;
        borderTopRightRadius?: string | number | undefined;
        borderTopStyle?: string | undefined;
        borderTopWidth?: string | number | undefined;
        borderWidth?: string | number | undefined;
        bottom?: string | number | undefined;
        boxDecorationBreak?: string | undefined;
        boxShadow?: string | undefined;
        boxSizing?: string | undefined;
        breakAfter?: string | undefined;
        breakBefore?: string | undefined;
        breakInside?: string | undefined;
        clear?: string | undefined;
        clipRule?: string | undefined;
        color?: string | undefined;
        columnCount?: string | number | undefined;
        columnFill?: string | undefined;
        columnGap?: string | undefined;
        columnRule?: string | undefined;
        columnRuleColor?: string | undefined;
        columnRuleWidth?: string | number | undefined;
        columnSpan?: string | undefined;
        columnWidth?: string | number | undefined;
        columns?: string | undefined;
        content?: string | undefined;
        counterIncrement?: string | undefined;
        counterReset?: string | undefined;
        cue?: string | undefined;
        cueAfter?: string | undefined;
        cursor?: string | undefined;
        direction?: string | undefined;
        display?: string | undefined;
        fill?: string | undefined;
        fillOpacity?: number | "initial" | "inherit" | "unset" | undefined;
        fillRule?: string | undefined;
        filter?: string | undefined;
        flex?: string | number | undefined;
        flexBasis?: string | number | undefined;
        flexDirection?: string | undefined;
        flexFlow?: string | undefined;
        flexGrow?: string | number | undefined;
        flexShrink?: string | number | undefined;
        flexWrap?: string | undefined;
        float?: string | undefined;
        flowFrom?: string | undefined;
        forcedColorAdjust?: string | undefined;
        gridArea?: string | undefined;
        gridAutoColumns?: string | undefined;
        gridAutoFlow?: string | undefined;
        gridAutoRows?: string | undefined;
        gridColumn?: string | undefined;
        gridColumnEnd?: string | undefined;
        gridColumnGap?: string | undefined;
        gridColumnStart?: string | undefined;
        gridGap?: string | undefined;
        gridRow?: string | undefined;
        gridRowEnd?: string | undefined;
        gridRowGap?: string | undefined;
        gridRowStart?: string | undefined;
        gridRowPosition?: string | undefined;
        gridTemplate?: string | undefined;
        gridTemplateAreas?: string | undefined;
        gridTemplateColumns?: string | undefined;
        gridTemplateRows?: string | undefined;
        height?: string | number | undefined;
        hyphenateLimitChars?: string | undefined;
        hyphenateLimitLines?: string | undefined;
        hyphenateLimitZone?: string | undefined;
        hyphens?: string | undefined;
        justifyContent?: string | undefined;
        justifySelf?: string | undefined;
        left?: string | number | undefined;
        letterSpacing?: string | undefined;
        lineHeight?: string | number | undefined;
        listStyle?: string | undefined;
        listStyleImage?: string | undefined;
        listStylePosition?: string | undefined;
        listStyleType?: string | undefined;
        margin?: string | number | undefined;
        marginBottom?: string | number | undefined;
        marginLeft?: string | number | undefined;
        marginRight?: string | number | undefined;
        marginTop?: string | number | undefined;
        marqueeDirection?: string | undefined;
        marqueeStyle?: string | undefined;
        mask?: string | undefined;
        maskBorder?: string | undefined;
        maskBorderRepeat?: string | undefined;
        maskBorderSlice?: string | undefined;
        maskBorderSource?: string | undefined;
        maskBorderWidth?: string | number | undefined;
        maskClip?: string | undefined;
        maskOrigin?: string | undefined;
        maxFontSize?: string | number | undefined;
        maxHeight?: string | number | undefined;
        maxWidth?: string | number | undefined;
        minHeight?: string | number | undefined;
        minWidth?: string | number | undefined;
        mixBlendMode?: string | undefined;
        objectFit?: string | undefined;
        opacity?: string | number | undefined;
        order?: string | number | undefined;
        orphans?: string | number | undefined;
        outline?: string | 0 | undefined;
        outlineColor?: string | undefined;
        outlineOffset?: string | undefined;
        overflow?: "initial" | "inherit" | "unset" | "auto" | "scroll" | "hidden" | "visible" | undefined;
        overflowStyle?: string | undefined;
        overflowWrap?: string | undefined;
        overflowX?: string | undefined;
        overflowY?: string | undefined;
        padding?: string | number | undefined;
        paddingBlockEnd?: string | number | undefined;
        paddingBlockStart?: string | number | undefined;
        paddingLeft?: string | number | undefined;
        paddingBottom?: string | number | undefined;
        paddingInlineEnd?: string | number | undefined;
        paddingInlineStart?: string | number | undefined;
        paddingRight?: string | number | undefined;
        paddingTop?: string | number | undefined;
        pageBreakAfter?: string | undefined;
        pageBreakBefore?: string | undefined;
        pageBreakInside?: string | undefined;
        pause?: string | undefined;
        pauseAfter?: string | undefined;
        pauseBefore?: string | undefined;
        perspective?: string | undefined;
        perspectiveOrigin?: string | undefined;
        pointerEvents?: string | undefined;
        position?: "initial" | "inherit" | "unset" | "fixed" | "static" | "relative" | "absolute" | "sticky" | undefined;
        quotes?: string | undefined;
        regionFragment?: string | undefined;
        resize?: string | undefined;
        restAfter?: string | undefined;
        restBefore?: string | undefined;
        right?: string | number | undefined;
        shapeImageThreshold?: string | undefined;
        shapeInside?: string | undefined;
        shapeMargin?: string | undefined;
        shapeOutside?: string | undefined;
        speak?: string | undefined;
        speakAs?: string | undefined;
        stroke?: string | undefined;
        strokeLinecap?: string | undefined;
        strokeOpacity?: string | number | undefined;
        strokeWidth?: string | number | undefined;
        tabSize?: string | undefined;
        tableLayout?: string | undefined;
        textAlign?: string | undefined;
        textAlignLast?: string | undefined;
        textDecoration?: string | undefined;
        textDecorationColor?: string | undefined;
        textDecorationLine?: string | undefined;
        textDecorationSkip?: string | undefined;
        textDecorationStyle?: string | undefined;
        textEmphasis?: string | undefined;
        textEmphasisColor?: string | undefined;
        textEmphasisStyle?: string | undefined;
        textHeight?: string | undefined;
        textIndent?: string | undefined;
        textOverflow?: string | undefined;
        textOverline?: string | undefined;
        textOverlineColor?: string | undefined;
        textOverlineMode?: string | undefined;
        textOverlineStyle?: string | undefined;
        textOverlineWidth?: string | number | undefined;
        textRendering?: string | undefined;
        textShadow?: string | undefined;
        textSizeAdjust?: string | undefined;
        textTransform?: string | undefined;
        textUnderlinePosition?: string | undefined;
        textUnderlineStyle?: string | undefined;
        top?: string | number | undefined;
        touchAction?: string | undefined;
        transform?: string | undefined;
        transformOrigin?: string | undefined;
        transformOriginZ?: string | undefined;
        transformStyle?: string | undefined;
        transition?: string | undefined;
        transitionDelay?: string | undefined;
        transitionDuration?: string | undefined;
        transitionProperty?: string | undefined;
        transitionTimingFunction?: string | undefined;
        unicodeBidi?: string | undefined;
        userFocus?: string | undefined;
        userInput?: string | undefined;
        userSelect?: string | undefined;
        verticalAlign?: string | undefined;
        visibility?: string | undefined;
        voiceBalance?: string | undefined;
        voiceDuration?: string | undefined;
        voiceFamily?: string | undefined;
        voicePitch?: string | undefined;
        voiceRange?: string | undefined;
        voiceRate?: string | undefined;
        voiceStress?: string | undefined;
        voiceVolume?: string | undefined;
        whiteSpace?: string | undefined;
        widows?: string | number | undefined;
        width?: string | number | undefined;
        wordBreak?: string | undefined;
        wordSpacing?: string | undefined;
        wordWrap?: string | undefined;
        wrapFlow?: string | undefined;
        wrapMargin?: string | undefined;
        writingMode?: string | undefined;
        zIndex?: string | number | undefined;
        zoom?: string | number | undefined;
        font?: string | undefined;
        fontFamily?: string | undefined;
        fontKerning?: string | undefined;
        fontSize?: string | number | undefined;
        fontSizeAdjust?: string | number | undefined;
        fontStretch?: string | undefined;
        fontStyle?: string | undefined;
        fontSynthesis?: string | undefined;
        fontVariant?: string | undefined;
        fontVariantAlternates?: string | undefined;
        fontWeight?: string | 100 | 200 | 300 | 400 | 500 | 600 | 700 | 800 | 900 | undefined;
    };
    dropdownItemSelected: {
        [x: string]: any;
        displayName?: string | undefined;
        selectors?: {
            [key: string]: IStyle;
        } | undefined;
        MsHighContrastAdjust?: string | undefined;
        MsOverflowStyle?: string | undefined;
        MozOsxFontSmoothing?: string | undefined;
        WebkitFontSmoothing?: string | undefined;
        WebkitOverflowScrolling?: string | undefined;
        WebkitTapHighlightColor?: string | undefined;
        WebkitTextSizeAdjust?: string | undefined;
        alignContent?: string | undefined;
        alignItems?: string | undefined;
        alignSelf?: string | undefined;
        alignmentAdjust?: string | undefined;
        alignmentBaseline?: string | undefined;
        animation?: string | undefined;
        animationDelay?: string | undefined;
        animationDirection?: string | undefined;
        animationDuration?: string | undefined;
        animationFillMode?: string | undefined;
        animationIterationCount?: string | undefined;
        animationName?: string | undefined;
        animationPlayState?: string | undefined;
        animationTimingFunction?: string | undefined;
        appearance?: string | undefined;
        backdropFilter?: string | undefined;
        WebkitBackdropFilter?: string | undefined;
        backfaceVisibility?: string | undefined;
        background?: string | undefined;
        backgroundAttachment?: string | undefined;
        backgroundBlendMode?: string | undefined;
        backgroundClip?: string | undefined;
        backgroundColor?: string | undefined;
        backgroundComposite?: string | undefined;
        backgroundImage?: string | undefined;
        backgroundOrigin?: string | undefined;
        backgroundPosition?: string | undefined;
        backgroundRepeat?: string | undefined;
        backgroundSize?: string | undefined;
        border?: string | 0 | undefined;
        borderBottom?: string | number | undefined;
        borderBottomColor?: string | undefined;
        borderBottomLeftRadius?: string | number | undefined;
        borderBottomRightRadius?: string | number | undefined;
        borderBottomStyle?: string | undefined;
        borderBottomWidth?: string | number | undefined;
        borderCollapse?: string | undefined;
        borderColor?: string | undefined;
        borderCornerShape?: string | undefined;
        borderImageSource?: string | undefined;
        borderImageWidth?: string | number | undefined;
        borderLeft?: string | number | undefined;
        borderLeftColor?: string | undefined;
        borderLeftStyle?: string | undefined;
        borderLeftWidth?: string | number | undefined;
        borderRadius?: string | number | undefined;
        borderRight?: string | number | undefined;
        borderRightColor?: string | undefined;
        borderRightStyle?: string | undefined;
        borderRightWidth?: string | number | undefined;
        borderSpacing?: string | undefined;
        borderStyle?: string | undefined;
        borderTop?: string | number | undefined;
        borderTopColor?: string | undefined;
        borderTopLeftRadius?: string | number | undefined;
        borderTopRightRadius?: string | number | undefined;
        borderTopStyle?: string | undefined;
        borderTopWidth?: string | number | undefined;
        borderWidth?: string | number | undefined;
        bottom?: string | number | undefined;
        boxDecorationBreak?: string | undefined;
        boxShadow?: string | undefined;
        boxSizing?: string | undefined;
        breakAfter?: string | undefined;
        breakBefore?: string | undefined;
        breakInside?: string | undefined;
        clear?: string | undefined;
        clipRule?: string | undefined;
        color?: string | undefined;
        columnCount?: string | number | undefined;
        columnFill?: string | undefined;
        columnGap?: string | undefined;
        columnRule?: string | undefined;
        columnRuleColor?: string | undefined;
        columnRuleWidth?: string | number | undefined;
        columnSpan?: string | undefined;
        columnWidth?: string | number | undefined;
        columns?: string | undefined;
        content?: string | undefined;
        counterIncrement?: string | undefined;
        counterReset?: string | undefined;
        cue?: string | undefined;
        cueAfter?: string | undefined;
        cursor?: string | undefined;
        direction?: string | undefined;
        display?: string | undefined;
        fill?: string | undefined;
        fillOpacity?: number | "initial" | "inherit" | "unset" | undefined;
        fillRule?: string | undefined;
        filter?: string | undefined;
        flex?: string | number | undefined;
        flexBasis?: string | number | undefined;
        flexDirection?: string | undefined;
        flexFlow?: string | undefined;
        flexGrow?: string | number | undefined;
        flexShrink?: string | number | undefined;
        flexWrap?: string | undefined;
        float?: string | undefined;
        flowFrom?: string | undefined;
        forcedColorAdjust?: string | undefined;
        gridArea?: string | undefined;
        gridAutoColumns?: string | undefined;
        gridAutoFlow?: string | undefined;
        gridAutoRows?: string | undefined;
        gridColumn?: string | undefined;
        gridColumnEnd?: string | undefined;
        gridColumnGap?: string | undefined;
        gridColumnStart?: string | undefined;
        gridGap?: string | undefined;
        gridRow?: string | undefined;
        gridRowEnd?: string | undefined;
        gridRowGap?: string | undefined;
        gridRowStart?: string | undefined;
        gridRowPosition?: string | undefined;
        gridTemplate?: string | undefined;
        gridTemplateAreas?: string | undefined;
        gridTemplateColumns?: string | undefined;
        gridTemplateRows?: string | undefined;
        height?: string | number | undefined;
        hyphenateLimitChars?: string | undefined;
        hyphenateLimitLines?: string | undefined;
        hyphenateLimitZone?: string | undefined;
        hyphens?: string | undefined;
        justifyContent?: string | undefined;
        justifySelf?: string | undefined;
        left?: string | number | undefined;
        letterSpacing?: string | undefined;
        lineHeight?: string | number | undefined;
        listStyle?: string | undefined;
        listStyleImage?: string | undefined;
        listStylePosition?: string | undefined;
        listStyleType?: string | undefined;
        margin?: string | number | undefined;
        marginBottom?: string | number | undefined;
        marginLeft?: string | number | undefined;
        marginRight?: string | number | undefined;
        marginTop?: string | number | undefined;
        marqueeDirection?: string | undefined;
        marqueeStyle?: string | undefined;
        mask?: string | undefined;
        maskBorder?: string | undefined;
        maskBorderRepeat?: string | undefined;
        maskBorderSlice?: string | undefined;
        maskBorderSource?: string | undefined;
        maskBorderWidth?: string | number | undefined;
        maskClip?: string | undefined;
        maskOrigin?: string | undefined;
        maxFontSize?: string | number | undefined;
        maxHeight?: string | number | undefined;
        maxWidth?: string | number | undefined;
        minHeight?: string | number | undefined;
        minWidth?: string | number | undefined;
        mixBlendMode?: string | undefined;
        objectFit?: string | undefined;
        opacity?: string | number | undefined;
        order?: string | number | undefined;
        orphans?: string | number | undefined;
        outline?: string | 0 | undefined;
        outlineColor?: string | undefined;
        outlineOffset?: string | undefined;
        overflow?: "initial" | "inherit" | "unset" | "auto" | "scroll" | "hidden" | "visible" | undefined;
        overflowStyle?: string | undefined;
        overflowWrap?: string | undefined;
        overflowX?: string | undefined;
        overflowY?: string | undefined;
        padding?: string | number | undefined;
        paddingBlockEnd?: string | number | undefined;
        paddingBlockStart?: string | number | undefined;
        paddingLeft?: string | number | undefined;
        paddingBottom?: string | number | undefined;
        paddingInlineEnd?: string | number | undefined;
        paddingInlineStart?: string | number | undefined;
        paddingRight?: string | number | undefined;
        paddingTop?: string | number | undefined;
        pageBreakAfter?: string | undefined;
        pageBreakBefore?: string | undefined;
        pageBreakInside?: string | undefined;
        pause?: string | undefined;
        pauseAfter?: string | undefined;
        pauseBefore?: string | undefined;
        perspective?: string | undefined;
        perspectiveOrigin?: string | undefined;
        pointerEvents?: string | undefined;
        position?: "initial" | "inherit" | "unset" | "fixed" | "static" | "relative" | "absolute" | "sticky" | undefined;
        quotes?: string | undefined;
        regionFragment?: string | undefined;
        resize?: string | undefined;
        restAfter?: string | undefined;
        restBefore?: string | undefined;
        right?: string | number | undefined;
        shapeImageThreshold?: string | undefined;
        shapeInside?: string | undefined;
        shapeMargin?: string | undefined;
        shapeOutside?: string | undefined;
        speak?: string | undefined;
        speakAs?: string | undefined;
        stroke?: string | undefined;
        strokeLinecap?: string | undefined;
        strokeOpacity?: string | number | undefined;
        strokeWidth?: string | number | undefined;
        tabSize?: string | undefined;
        tableLayout?: string | undefined;
        textAlign?: string | undefined;
        textAlignLast?: string | undefined;
        textDecoration?: string | undefined;
        textDecorationColor?: string | undefined;
        textDecorationLine?: string | undefined;
        textDecorationSkip?: string | undefined;
        textDecorationStyle?: string | undefined;
        textEmphasis?: string | undefined;
        textEmphasisColor?: string | undefined;
        textEmphasisStyle?: string | undefined;
        textHeight?: string | undefined;
        textIndent?: string | undefined;
        textOverflow?: string | undefined;
        textOverline?: string | undefined;
        textOverlineColor?: string | undefined;
        textOverlineMode?: string | undefined;
        textOverlineStyle?: string | undefined;
        textOverlineWidth?: string | number | undefined;
        textRendering?: string | undefined;
        textShadow?: string | undefined;
        textSizeAdjust?: string | undefined;
        textTransform?: string | undefined;
        textUnderlinePosition?: string | undefined;
        textUnderlineStyle?: string | undefined;
        top?: string | number | undefined;
        touchAction?: string | undefined;
        transform?: string | undefined;
        transformOrigin?: string | undefined;
        transformOriginZ?: string | undefined;
        transformStyle?: string | undefined;
        transition?: string | undefined;
        transitionDelay?: string | undefined;
        transitionDuration?: string | undefined;
        transitionProperty?: string | undefined;
        transitionTimingFunction?: string | undefined;
        unicodeBidi?: string | undefined;
        userFocus?: string | undefined;
        userInput?: string | undefined;
        userSelect?: string | undefined;
        verticalAlign?: string | undefined;
        visibility?: string | undefined;
        voiceBalance?: string | undefined;
        voiceDuration?: string | undefined;
        voiceFamily?: string | undefined;
        voicePitch?: string | undefined;
        voiceRange?: string | undefined;
        voiceRate?: string | undefined;
        voiceStress?: string | undefined;
        voiceVolume?: string | undefined;
        whiteSpace?: string | undefined;
        widows?: string | number | undefined;
        width?: string | number | undefined;
        wordBreak?: string | undefined;
        wordSpacing?: string | undefined;
        wordWrap?: string | undefined;
        wrapFlow?: string | undefined;
        wrapMargin?: string | undefined;
        writingMode?: string | undefined;
        zIndex?: string | number | undefined;
        zoom?: string | number | undefined;
        font?: string | undefined;
        fontFamily?: string | undefined;
        fontKerning?: string | undefined;
        fontSize?: string | number | undefined;
        fontSizeAdjust?: string | number | undefined;
        fontStretch?: string | undefined;
        fontStyle?: string | undefined;
        fontSynthesis?: string | undefined;
        fontVariant?: string | undefined;
        fontVariantAlternates?: string | undefined;
        fontWeight?: string | 100 | 200 | 300 | 400 | 500 | 600 | 700 | 800 | 900 | undefined;
    };
    dropdownItemDisabled: {
        [x: string]: any;
        displayName?: string | undefined;
        selectors?: {
            [key: string]: IStyle;
        } | undefined;
        MsHighContrastAdjust?: string | undefined;
        MsOverflowStyle?: string | undefined;
        MozOsxFontSmoothing?: string | undefined;
        WebkitFontSmoothing?: string | undefined;
        WebkitOverflowScrolling?: string | undefined;
        WebkitTapHighlightColor?: string | undefined;
        WebkitTextSizeAdjust?: string | undefined;
        alignContent?: string | undefined;
        alignItems?: string | undefined;
        alignSelf?: string | undefined;
        alignmentAdjust?: string | undefined;
        alignmentBaseline?: string | undefined;
        animation?: string | undefined;
        animationDelay?: string | undefined;
        animationDirection?: string | undefined;
        animationDuration?: string | undefined;
        animationFillMode?: string | undefined;
        animationIterationCount?: string | undefined;
        animationName?: string | undefined;
        animationPlayState?: string | undefined;
        animationTimingFunction?: string | undefined;
        appearance?: string | undefined;
        backdropFilter?: string | undefined;
        WebkitBackdropFilter?: string | undefined;
        backfaceVisibility?: string | undefined;
        background?: string | undefined;
        backgroundAttachment?: string | undefined;
        backgroundBlendMode?: string | undefined;
        backgroundClip?: string | undefined;
        backgroundColor?: string | undefined;
        backgroundComposite?: string | undefined;
        backgroundImage?: string | undefined;
        backgroundOrigin?: string | undefined;
        backgroundPosition?: string | undefined;
        backgroundRepeat?: string | undefined;
        backgroundSize?: string | undefined;
        border?: string | 0 | undefined;
        borderBottom?: string | number | undefined;
        borderBottomColor?: string | undefined;
        borderBottomLeftRadius?: string | number | undefined;
        borderBottomRightRadius?: string | number | undefined;
        borderBottomStyle?: string | undefined;
        borderBottomWidth?: string | number | undefined;
        borderCollapse?: string | undefined;
        borderColor?: string | undefined;
        borderCornerShape?: string | undefined;
        borderImageSource?: string | undefined;
        borderImageWidth?: string | number | undefined;
        borderLeft?: string | number | undefined;
        borderLeftColor?: string | undefined;
        borderLeftStyle?: string | undefined;
        borderLeftWidth?: string | number | undefined;
        borderRadius?: string | number | undefined;
        borderRight?: string | number | undefined;
        borderRightColor?: string | undefined;
        borderRightStyle?: string | undefined;
        borderRightWidth?: string | number | undefined;
        borderSpacing?: string | undefined;
        borderStyle?: string | undefined;
        borderTop?: string | number | undefined;
        borderTopColor?: string | undefined;
        borderTopLeftRadius?: string | number | undefined;
        borderTopRightRadius?: string | number | undefined;
        borderTopStyle?: string | undefined;
        borderTopWidth?: string | number | undefined;
        borderWidth?: string | number | undefined;
        bottom?: string | number | undefined;
        boxDecorationBreak?: string | undefined;
        boxShadow?: string | undefined;
        boxSizing?: string | undefined;
        breakAfter?: string | undefined;
        breakBefore?: string | undefined;
        breakInside?: string | undefined;
        clear?: string | undefined;
        clipRule?: string | undefined;
        color?: string | undefined;
        columnCount?: string | number | undefined;
        columnFill?: string | undefined;
        columnGap?: string | undefined;
        columnRule?: string | undefined;
        columnRuleColor?: string | undefined;
        columnRuleWidth?: string | number | undefined;
        columnSpan?: string | undefined;
        columnWidth?: string | number | undefined;
        columns?: string | undefined;
        content?: string | undefined;
        counterIncrement?: string | undefined;
        counterReset?: string | undefined;
        cue?: string | undefined;
        cueAfter?: string | undefined;
        cursor?: string | undefined;
        direction?: string | undefined;
        display?: string | undefined;
        fill?: string | undefined;
        fillOpacity?: number | "initial" | "inherit" | "unset" | undefined;
        fillRule?: string | undefined;
        filter?: string | undefined;
        flex?: string | number | undefined;
        flexBasis?: string | number | undefined;
        flexDirection?: string | undefined;
        flexFlow?: string | undefined;
        flexGrow?: string | number | undefined;
        flexShrink?: string | number | undefined;
        flexWrap?: string | undefined;
        float?: string | undefined;
        flowFrom?: string | undefined;
        forcedColorAdjust?: string | undefined;
        gridArea?: string | undefined;
        gridAutoColumns?: string | undefined;
        gridAutoFlow?: string | undefined;
        gridAutoRows?: string | undefined;
        gridColumn?: string | undefined;
        gridColumnEnd?: string | undefined;
        gridColumnGap?: string | undefined;
        gridColumnStart?: string | undefined;
        gridGap?: string | undefined;
        gridRow?: string | undefined;
        gridRowEnd?: string | undefined;
        gridRowGap?: string | undefined;
        gridRowStart?: string | undefined;
        gridRowPosition?: string | undefined;
        gridTemplate?: string | undefined;
        gridTemplateAreas?: string | undefined;
        gridTemplateColumns?: string | undefined;
        gridTemplateRows?: string | undefined;
        height?: string | number | undefined;
        hyphenateLimitChars?: string | undefined;
        hyphenateLimitLines?: string | undefined;
        hyphenateLimitZone?: string | undefined;
        hyphens?: string | undefined;
        justifyContent?: string | undefined;
        justifySelf?: string | undefined;
        left?: string | number | undefined;
        letterSpacing?: string | undefined;
        lineHeight?: string | number | undefined;
        listStyle?: string | undefined;
        listStyleImage?: string | undefined;
        listStylePosition?: string | undefined;
        listStyleType?: string | undefined;
        margin?: string | number | undefined;
        marginBottom?: string | number | undefined;
        marginLeft?: string | number | undefined;
        marginRight?: string | number | undefined;
        marginTop?: string | number | undefined;
        marqueeDirection?: string | undefined;
        marqueeStyle?: string | undefined;
        mask?: string | undefined;
        maskBorder?: string | undefined;
        maskBorderRepeat?: string | undefined;
        maskBorderSlice?: string | undefined;
        maskBorderSource?: string | undefined;
        maskBorderWidth?: string | number | undefined;
        maskClip?: string | undefined;
        maskOrigin?: string | undefined;
        maxFontSize?: string | number | undefined;
        maxHeight?: string | number | undefined;
        maxWidth?: string | number | undefined;
        minHeight?: string | number | undefined;
        minWidth?: string | number | undefined;
        mixBlendMode?: string | undefined;
        objectFit?: string | undefined;
        opacity?: string | number | undefined;
        order?: string | number | undefined;
        orphans?: string | number | undefined;
        outline?: string | 0 | undefined;
        outlineColor?: string | undefined;
        outlineOffset?: string | undefined;
        overflow?: "initial" | "inherit" | "unset" | "auto" | "scroll" | "hidden" | "visible" | undefined;
        overflowStyle?: string | undefined;
        overflowWrap?: string | undefined;
        overflowX?: string | undefined;
        overflowY?: string | undefined;
        padding?: string | number | undefined;
        paddingBlockEnd?: string | number | undefined;
        paddingBlockStart?: string | number | undefined;
        paddingLeft?: string | number | undefined;
        paddingBottom?: string | number | undefined;
        paddingInlineEnd?: string | number | undefined;
        paddingInlineStart?: string | number | undefined;
        paddingRight?: string | number | undefined;
        paddingTop?: string | number | undefined;
        pageBreakAfter?: string | undefined;
        pageBreakBefore?: string | undefined;
        pageBreakInside?: string | undefined;
        pause?: string | undefined;
        pauseAfter?: string | undefined;
        pauseBefore?: string | undefined;
        perspective?: string | undefined;
        perspectiveOrigin?: string | undefined;
        pointerEvents?: string | undefined;
        position?: "initial" | "inherit" | "unset" | "fixed" | "static" | "relative" | "absolute" | "sticky" | undefined;
        quotes?: string | undefined;
        regionFragment?: string | undefined;
        resize?: string | undefined;
        restAfter?: string | undefined;
        restBefore?: string | undefined;
        right?: string | number | undefined;
        shapeImageThreshold?: string | undefined;
        shapeInside?: string | undefined;
        shapeMargin?: string | undefined;
        shapeOutside?: string | undefined;
        speak?: string | undefined;
        speakAs?: string | undefined;
        stroke?: string | undefined;
        strokeLinecap?: string | undefined;
        strokeOpacity?: string | number | undefined;
        strokeWidth?: string | number | undefined;
        tabSize?: string | undefined;
        tableLayout?: string | undefined;
        textAlign?: string | undefined;
        textAlignLast?: string | undefined;
        textDecoration?: string | undefined;
        textDecorationColor?: string | undefined;
        textDecorationLine?: string | undefined;
        textDecorationSkip?: string | undefined;
        textDecorationStyle?: string | undefined;
        textEmphasis?: string | undefined;
        textEmphasisColor?: string | undefined;
        textEmphasisStyle?: string | undefined;
        textHeight?: string | undefined;
        textIndent?: string | undefined;
        textOverflow?: string | undefined;
        textOverline?: string | undefined;
        textOverlineColor?: string | undefined;
        textOverlineMode?: string | undefined;
        textOverlineStyle?: string | undefined;
        textOverlineWidth?: string | number | undefined;
        textRendering?: string | undefined;
        textShadow?: string | undefined;
        textSizeAdjust?: string | undefined;
        textTransform?: string | undefined;
        textUnderlinePosition?: string | undefined;
        textUnderlineStyle?: string | undefined;
        top?: string | number | undefined;
        touchAction?: string | undefined;
        transform?: string | undefined;
        transformOrigin?: string | undefined;
        transformOriginZ?: string | undefined;
        transformStyle?: string | undefined;
        transition?: string | undefined;
        transitionDelay?: string | undefined;
        transitionDuration?: string | undefined;
        transitionProperty?: string | undefined;
        transitionTimingFunction?: string | undefined;
        unicodeBidi?: string | undefined;
        userFocus?: string | undefined;
        userInput?: string | undefined;
        userSelect?: string | undefined;
        verticalAlign?: string | undefined;
        visibility?: string | undefined;
        voiceBalance?: string | undefined;
        voiceDuration?: string | undefined;
        voiceFamily?: string | undefined;
        voicePitch?: string | undefined;
        voiceRange?: string | undefined;
        voiceRate?: string | undefined;
        voiceStress?: string | undefined;
        voiceVolume?: string | undefined;
        whiteSpace?: string | undefined;
        widows?: string | number | undefined;
        width?: string | number | undefined;
        wordBreak?: string | undefined;
        wordSpacing?: string | undefined;
        wordWrap?: string | undefined;
        wrapFlow?: string | undefined;
        wrapMargin?: string | undefined;
        writingMode?: string | undefined;
        zIndex?: string | number | undefined;
        zoom?: string | number | undefined;
        font?: string | undefined;
        fontFamily?: string | undefined;
        fontKerning?: string | undefined;
        fontSize?: string | number | undefined;
        fontSizeAdjust?: string | number | undefined;
        fontStretch?: string | undefined;
        fontStyle?: string | undefined;
        fontSynthesis?: string | undefined;
        fontVariant?: string | undefined;
        fontVariantAlternates?: string | undefined;
        fontWeight?: string | 100 | 200 | 300 | 400 | 500 | 600 | 700 | 800 | 900 | undefined;
    };
    dropdownItemSelectedAndDisabled: {
        [x: string]: any;
        displayName?: string | undefined;
        selectors?: {
            [key: string]: IStyle;
        } | undefined;
        MsHighContrastAdjust?: string | undefined;
        MsOverflowStyle?: string | undefined;
        MozOsxFontSmoothing?: string | undefined;
        WebkitFontSmoothing?: string | undefined;
        WebkitOverflowScrolling?: string | undefined;
        WebkitTapHighlightColor?: string | undefined;
        WebkitTextSizeAdjust?: string | undefined;
        alignContent?: string | undefined;
        alignItems?: string | undefined;
        alignSelf?: string | undefined;
        alignmentAdjust?: string | undefined;
        alignmentBaseline?: string | undefined;
        animation?: string | undefined;
        animationDelay?: string | undefined;
        animationDirection?: string | undefined;
        animationDuration?: string | undefined;
        animationFillMode?: string | undefined;
        animationIterationCount?: string | undefined;
        animationName?: string | undefined;
        animationPlayState?: string | undefined;
        animationTimingFunction?: string | undefined;
        appearance?: string | undefined;
        backdropFilter?: string | undefined;
        WebkitBackdropFilter?: string | undefined;
        backfaceVisibility?: string | undefined;
        background?: string | undefined;
        backgroundAttachment?: string | undefined;
        backgroundBlendMode?: string | undefined;
        backgroundClip?: string | undefined;
        backgroundColor?: string | undefined;
        backgroundComposite?: string | undefined;
        backgroundImage?: string | undefined;
        backgroundOrigin?: string | undefined;
        backgroundPosition?: string | undefined;
        backgroundRepeat?: string | undefined;
        backgroundSize?: string | undefined;
        border?: string | 0 | undefined;
        borderBottom?: string | number | undefined;
        borderBottomColor?: string | undefined;
        borderBottomLeftRadius?: string | number | undefined;
        borderBottomRightRadius?: string | number | undefined;
        borderBottomStyle?: string | undefined;
        borderBottomWidth?: string | number | undefined;
        borderCollapse?: string | undefined;
        borderColor?: string | undefined;
        borderCornerShape?: string | undefined;
        borderImageSource?: string | undefined;
        borderImageWidth?: string | number | undefined;
        borderLeft?: string | number | undefined;
        borderLeftColor?: string | undefined;
        borderLeftStyle?: string | undefined;
        borderLeftWidth?: string | number | undefined;
        borderRadius?: string | number | undefined;
        borderRight?: string | number | undefined;
        borderRightColor?: string | undefined;
        borderRightStyle?: string | undefined;
        borderRightWidth?: string | number | undefined;
        borderSpacing?: string | undefined;
        borderStyle?: string | undefined;
        borderTop?: string | number | undefined;
        borderTopColor?: string | undefined;
        borderTopLeftRadius?: string | number | undefined;
        borderTopRightRadius?: string | number | undefined;
        borderTopStyle?: string | undefined;
        borderTopWidth?: string | number | undefined;
        borderWidth?: string | number | undefined;
        bottom?: string | number | undefined;
        boxDecorationBreak?: string | undefined;
        boxShadow?: string | undefined;
        boxSizing?: string | undefined;
        breakAfter?: string | undefined;
        breakBefore?: string | undefined;
        breakInside?: string | undefined;
        clear?: string | undefined;
        clipRule?: string | undefined;
        color?: string | undefined;
        columnCount?: string | number | undefined;
        columnFill?: string | undefined;
        columnGap?: string | undefined;
        columnRule?: string | undefined;
        columnRuleColor?: string | undefined;
        columnRuleWidth?: string | number | undefined;
        columnSpan?: string | undefined;
        columnWidth?: string | number | undefined;
        columns?: string | undefined;
        content?: string | undefined;
        counterIncrement?: string | undefined;
        counterReset?: string | undefined;
        cue?: string | undefined;
        cueAfter?: string | undefined;
        cursor?: string | undefined;
        direction?: string | undefined;
        display?: string | undefined;
        fill?: string | undefined;
        fillOpacity?: number | "initial" | "inherit" | "unset" | undefined;
        fillRule?: string | undefined;
        filter?: string | undefined;
        flex?: string | number | undefined;
        flexBasis?: string | number | undefined;
        flexDirection?: string | undefined;
        flexFlow?: string | undefined;
        flexGrow?: string | number | undefined;
        flexShrink?: string | number | undefined;
        flexWrap?: string | undefined;
        float?: string | undefined;
        flowFrom?: string | undefined;
        forcedColorAdjust?: string | undefined;
        gridArea?: string | undefined;
        gridAutoColumns?: string | undefined;
        gridAutoFlow?: string | undefined;
        gridAutoRows?: string | undefined;
        gridColumn?: string | undefined;
        gridColumnEnd?: string | undefined;
        gridColumnGap?: string | undefined;
        gridColumnStart?: string | undefined;
        gridGap?: string | undefined;
        gridRow?: string | undefined;
        gridRowEnd?: string | undefined;
        gridRowGap?: string | undefined;
        gridRowStart?: string | undefined;
        gridRowPosition?: string | undefined;
        gridTemplate?: string | undefined;
        gridTemplateAreas?: string | undefined;
        gridTemplateColumns?: string | undefined;
        gridTemplateRows?: string | undefined;
        height?: string | number | undefined;
        hyphenateLimitChars?: string | undefined;
        hyphenateLimitLines?: string | undefined;
        hyphenateLimitZone?: string | undefined;
        hyphens?: string | undefined;
        justifyContent?: string | undefined;
        justifySelf?: string | undefined;
        left?: string | number | undefined;
        letterSpacing?: string | undefined;
        lineHeight?: string | number | undefined;
        listStyle?: string | undefined;
        listStyleImage?: string | undefined;
        listStylePosition?: string | undefined;
        listStyleType?: string | undefined;
        margin?: string | number | undefined;
        marginBottom?: string | number | undefined;
        marginLeft?: string | number | undefined;
        marginRight?: string | number | undefined;
        marginTop?: string | number | undefined;
        marqueeDirection?: string | undefined;
        marqueeStyle?: string | undefined;
        mask?: string | undefined;
        maskBorder?: string | undefined;
        maskBorderRepeat?: string | undefined;
        maskBorderSlice?: string | undefined;
        maskBorderSource?: string | undefined;
        maskBorderWidth?: string | number | undefined;
        maskClip?: string | undefined;
        maskOrigin?: string | undefined;
        maxFontSize?: string | number | undefined;
        maxHeight?: string | number | undefined;
        maxWidth?: string | number | undefined;
        minHeight?: string | number | undefined;
        minWidth?: string | number | undefined;
        mixBlendMode?: string | undefined;
        objectFit?: string | undefined;
        opacity?: string | number | undefined;
        order?: string | number | undefined;
        orphans?: string | number | undefined;
        outline?: string | 0 | undefined;
        outlineColor?: string | undefined;
        outlineOffset?: string | undefined;
        overflow?: "initial" | "inherit" | "unset" | "auto" | "scroll" | "hidden" | "visible" | undefined;
        overflowStyle?: string | undefined;
        overflowWrap?: string | undefined;
        overflowX?: string | undefined;
        overflowY?: string | undefined;
        padding?: string | number | undefined;
        paddingBlockEnd?: string | number | undefined;
        paddingBlockStart?: string | number | undefined;
        paddingLeft?: string | number | undefined;
        paddingBottom?: string | number | undefined;
        paddingInlineEnd?: string | number | undefined;
        paddingInlineStart?: string | number | undefined;
        paddingRight?: string | number | undefined;
        paddingTop?: string | number | undefined;
        pageBreakAfter?: string | undefined;
        pageBreakBefore?: string | undefined;
        pageBreakInside?: string | undefined;
        pause?: string | undefined;
        pauseAfter?: string | undefined;
        pauseBefore?: string | undefined;
        perspective?: string | undefined;
        perspectiveOrigin?: string | undefined;
        pointerEvents?: string | undefined;
        position?: "initial" | "inherit" | "unset" | "fixed" | "static" | "relative" | "absolute" | "sticky" | undefined;
        quotes?: string | undefined;
        regionFragment?: string | undefined;
        resize?: string | undefined;
        restAfter?: string | undefined;
        restBefore?: string | undefined;
        right?: string | number | undefined;
        shapeImageThreshold?: string | undefined;
        shapeInside?: string | undefined;
        shapeMargin?: string | undefined;
        shapeOutside?: string | undefined;
        speak?: string | undefined;
        speakAs?: string | undefined;
        stroke?: string | undefined;
        strokeLinecap?: string | undefined;
        strokeOpacity?: string | number | undefined;
        strokeWidth?: string | number | undefined;
        tabSize?: string | undefined;
        tableLayout?: string | undefined;
        textAlign?: string | undefined;
        textAlignLast?: string | undefined;
        textDecoration?: string | undefined;
        textDecorationColor?: string | undefined;
        textDecorationLine?: string | undefined;
        textDecorationSkip?: string | undefined;
        textDecorationStyle?: string | undefined;
        textEmphasis?: string | undefined;
        textEmphasisColor?: string | undefined;
        textEmphasisStyle?: string | undefined;
        textHeight?: string | undefined;
        textIndent?: string | undefined;
        textOverflow?: string | undefined;
        textOverline?: string | undefined;
        textOverlineColor?: string | undefined;
        textOverlineMode?: string | undefined;
        textOverlineStyle?: string | undefined;
        textOverlineWidth?: string | number | undefined;
        textRendering?: string | undefined;
        textShadow?: string | undefined;
        textSizeAdjust?: string | undefined;
        textTransform?: string | undefined;
        textUnderlinePosition?: string | undefined;
        textUnderlineStyle?: string | undefined;
        top?: string | number | undefined;
        touchAction?: string | undefined;
        transform?: string | undefined;
        transformOrigin?: string | undefined;
        transformOriginZ?: string | undefined;
        transformStyle?: string | undefined;
        transition?: string | undefined;
        transitionDelay?: string | undefined;
        transitionDuration?: string | undefined;
        transitionProperty?: string | undefined;
        transitionTimingFunction?: string | undefined;
        unicodeBidi?: string | undefined;
        userFocus?: string | undefined;
        userInput?: string | undefined;
        userSelect?: string | undefined;
        verticalAlign?: string | undefined;
        visibility?: string | undefined;
        voiceBalance?: string | undefined;
        voiceDuration?: string | undefined;
        voiceFamily?: string | undefined;
        voicePitch?: string | undefined;
        voiceRange?: string | undefined;
        voiceRate?: string | undefined;
        voiceStress?: string | undefined;
        voiceVolume?: string | undefined;
        whiteSpace?: string | undefined;
        widows?: string | number | undefined;
        width?: string | number | undefined;
        wordBreak?: string | undefined;
        wordSpacing?: string | undefined;
        wordWrap?: string | undefined;
        wrapFlow?: string | undefined;
        wrapMargin?: string | undefined;
        writingMode?: string | undefined;
        zIndex?: string | number | undefined;
        zoom?: string | number | undefined;
        font?: string | undefined;
        fontFamily?: string | undefined;
        fontKerning?: string | undefined;
        fontSize?: string | number | undefined;
        fontSizeAdjust?: string | number | undefined;
        fontStretch?: string | undefined;
        fontStyle?: string | undefined;
        fontSynthesis?: string | undefined;
        fontVariant?: string | undefined;
        fontVariantAlternates?: string | undefined;
        fontWeight?: string | 100 | 200 | 300 | 400 | 500 | 600 | 700 | 800 | 900 | undefined;
    };
};
