import { FontWeights } from 'office-ui-fabric-react/lib/Styling';
export var GroupHeaderStyles = function (props) {
    var compact = props.compact, theme = props.theme;
    var fonts = theme.fonts;
    var finalHeight = compact ? 32 : 42;
    return {
        groupHeaderContainer: {
            height: finalHeight,
        },
        check: {
            height: finalHeight,
        },
        expand: {
            height: finalHeight,
            fontSize: compact ? fonts.medium.fontSize : 18,
        },
        title: {
            fontSize: compact ? fonts.large.fontSize : fonts.xLarge.fontSize,
            fontWeight: FontWeights.semilight,
        },
    };
};
//# sourceMappingURL=GroupedList.styles.js.map