import { sizeBoolean, } from 'office-ui-fabric-react/lib/Persona';
import { FontWeights } from 'office-ui-fabric-react/lib/Styling';
export var PersonaStyles = function (props) {
    var size = sizeBoolean(props.size);
    var fonts = props.theme.fonts;
    return {
        primaryText: [
            {
                fontSize: fonts.large.fontSize,
            },
            (size.isSize16 || size.isSize24 || size.isSize28 || size.isSize32 || size.isSize40) && {
                fontSize: fonts.medium.fontSize,
            },
            size.isSize72 && {
                fontSize: fonts.xLarge.fontSize,
            },
            size.isSize100 && {
                fontSize: fonts.xLarge.fontSize,
                fontWeight: FontWeights.semilight,
            },
        ],
        tertiaryText: {
            fontSize: fonts.small.fontSize,
        },
        optionalText: {
            fontSize: fonts.small.fontSize,
        },
    };
};
export var PersonaCoinStyles = {
    initials: {
        fontWeight: FontWeights.regular,
        selectors: {
            i: {
                fontWeight: FontWeights.regular,
            },
        },
    },
};
//# sourceMappingURL=Persona.styles.js.map