import { AnimationVariables } from 'office-ui-fabric-react/lib/Styling';
export var PivotStyles = function (props) {
    var theme = props.theme, rootIsTabs = props.rootIsTabs;
    var palette = theme.palette;
    return {
        link: [
            !rootIsTabs && {
                height: 40,
                lineHeight: 40,
                selectors: {
                    ':hover': {
                        backgroundColor: 'transparent',
                        color: palette.neutralDark,
                    },
                    ':active': {
                        backgroundColor: 'transparent',
                    },
                },
            },
        ],
        linkIsSelected: [
            !rootIsTabs && {
                height: 40,
                lineHeight: 40,
                selectors: {
                    ':hover': {
                        backgroundColor: 'transparent',
                    },
                    ':active': {
                        backgroundColor: 'transparent',
                    },
                    ':before': {
                        transition: "left " + AnimationVariables.durationValue2 + " " + AnimationVariables.easeFunction2 + ",\n                        right " + AnimationVariables.durationValue2 + " " + AnimationVariables.easeFunction2,
                    },
                    ':hover::before': {
                        left: 8,
                        right: 8,
                    },
                },
            },
        ],
    };
};
//# sourceMappingURL=Pivot.styles.js.map